// Copyright 2017-2025 WIT.COM Inc. All rights reserved.
// Use of this source code is governed by the GPL 3.0

package main

import (
	"time"

	"go.wit.com/lib/protobuf/forgepb"
	"go.wit.com/lib/protobuf/zoopb"
)

var me *stuff

// this app's variables
type stuff struct {
	urlbase      string         // the dns name for the zookeeper
	hostname     string         // my hostname
	pollDelay    time.Duration  // how often to report our status
	dog          *time.Ticker   // the watchdog timer
	machine      *zoopb.Machine // populated from protobuf based zoopb
	forge        *forgepb.Forge // handle to forge
	failcount    int            // how many times we've failed to contact the zookeeper
	failcountmax int            // after this, exit and let systemd restart the daemon
}
